Bug 531051 - Review Request: glite-security-util-java - Java Utilities for GSI Credentials
Summary: Review Request: glite-security-util-java - Java Utilities for GSI Credentials
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-26 16:55 UTC by Steve Traylen
Modified: 2010-05-19 02:39 UTC (History)
2 users (show)

Fixed In Version: glite-security-util-java-2.7.1-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-13 21:01:18 UTC
mattias.ellert: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2009-10-26 16:55:48 UTC
Spec URL: http://cern.ch/straylen/rpms/glite-security-util-java/glite-security-util-java.spec
SRPM URL: http://cern.ch/straylen/rpms/glite-security-util-java/glite-security-util-java-2.0.3-5.fc11.src.rpm
Description: 
glite-security-util-java together with glite-security-trustmanger is
an implementation of the java TrustManager interface with implementation
of cert path checking, grid namespace restrictions and dynamic loading of
CA certs, credentials, CRLs and namespace restrictions. Also provided is
integration into tomcat, axis and axis2. There are many utility classes
and methods for certificate and proxy handling in util-java. It can be
used both in the server side for the server ssl handler and on the client
side for the opening of ssl connections.



Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1768947

$ rpmlint glite-security-util-java.spec \
   ../SRPMS/glite-security-util-java-2.0.3-5.fc11.src.rpm \
   ../RPMS/x86_64/glite-security-util-java-2.0.3-5.fc11.x86_64.rpm \
   ../RPMS/x86_64/glite-security-util-java-debuginfo-2.0.3-5.fc11.x86_64.rpm \
   ../RPMS/noarch/glite-security-util-java-javadoc-2.0.3-5.fc11.noarch.rpm 

glite-security-util-java.spec:118: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
glite-security-util-java.src:118: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
4 packages and 1 specfiles checked; 0 errors, 2 warnings.

which are expected due to the gcj cases in the .spec file.

Comment 1 Mattias Ellert 2009-11-07 16:10:50 UTC
Fedora review glite-security-util-java 2009-11-07

+ OK
- Needs work
? Needs explanation

$ rpmlint glite-security-util-java-*
glite-security-util-java.src:123: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ rpmlint OK

+ Package named according to Java guidelines (name same as jarfile)

+ Specfile named after package

+ License tag "ASL 2.0 and EU Datagrid" is a Fedora apporved license

+ The tag corresponds to the license in the sources (most is ASL 2.0, but
  the code in src/org/glite/security/voms/ac is EU Datagrid

+ LICENSE file is listed as %doc

+ Specfile is written in legible English

+ Sources corresponds to upstream (following the description in the specfile)

+ Package compiles as a mock build

+ Build requirements are sane

- The source tree contains an embedded copy of the source for the
  vomsjapi library in src/org/glite/security/voms, bundling copies of
  system libraries is not allowed - use the system version instead

This can be achieved by adding the following lines to the %prep section ...

rm -rf src/org/glite/security/voms
sed s/org.glite.security.voms.VOMSValidator/org.glite.voms.VOMSValidator/ \
    -i src/org/glite/security/SecurityContext.java

... and adding vomsjapi to BuildRequires, Requires and build-classpath

It might then also be possible to change the License tag to only "ASL 2.0"
since the code under the other license is then not used.


- Package does not own /usr/lib64/gcj/glite-security-util-java

+ No duplicate files

+ Permissions are sane and %files has %defattr.

Though the %attr(-,root,root) tag for the gcj AOT files is redundant -
covered by the default.


+ %clean clears buildroot

+ Specfile uses macros consistently

+ Package contains code

- The javadoc package does not have a versioned directory and a symlink

+ Package does not own others' directories

+ %install clears buildroot

+ Filenames are UTF8

? axis and servlet are listed as BuildRequires but not as Requires - why?

Comment 2 Steve Traylen 2009-11-09 18:11:08 UTC
New packages:

http://cern.ch/straylen/rpms/glite-security-util-java/glite-security-util-java.spec

http://cern.ch/straylen/rpms/glite-security-util-java/glite-security-util-java-2.0.3-6.fc11.src.rpm

Removes the unneeded code and hence EU Datagrid license.
Now includes /usr/lib64/gcj/glite-security-util-java explicitly.
Documentation now in versioned directory with symlink.
axis and servlet now Required as well. Forgotten.

Comment 3 Mattias Ellert 2009-11-12 03:04:40 UTC
There is a typo in the Requires - should be vomsjapi:

Requires:       vomjapi

The following line in the filelist is redundant - the parent directory is already listed:

%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*

Also there are several places in comments and changelog where it says vomsapi instead of vomsjapi:

# remove private copy of vomsapi and use the provided package.
- Don't use private vomsapi and use vomsapi package instead.

Comment 5 Mattias Ellert 2009-11-13 08:16:26 UTC
Package approved.

Comment 6 Steve Traylen 2009-11-13 08:53:56 UTC
New Package CVS Request
=======================
Package Name: stevetraylen
Short Description:  Java Utilities for GSI Credentials
Owners: stevetraylen
Branches: F-11 F-12
InitialCC:

Comment 7 Jason Tibbitts 2009-11-13 19:36:20 UTC
CVS done.

Comment 8 Jason Tibbitts 2009-11-13 19:46:11 UTC
Oops.  "Package Name: stevetraylen".  Can you confirm that the package name you actually wanted was glite-security-util-java and give me a revised CVS request?

Comment 9 Steve Traylen 2009-11-13 20:13:45 UTC
New Package CVS Request
=======================
Package Name: glite-security-util-java
Short Description:  Java Utilities for GSI Credentials
Owners: stevetraylen
Branches: F-11 F-12
InitialCC:

That will be why it will not checkout from CVS.

Thanks yes the package name glite-security-util-java and apologies
its such a long name, decided upstream.

Steve

Comment 10 Jason Tibbitts 2009-11-13 20:53:17 UTC
CVS done (hopefully correctly this time).

Comment 11 Fedora Update System 2009-11-13 20:54:18 UTC
glite-security-util-java-2.0.3-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/glite-security-util-java-2.0.3-7.fc11

Comment 12 Fedora Update System 2009-11-13 20:58:01 UTC
glite-security-util-java-2.0.3-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/glite-security-util-java-2.0.3-7.fc12

Comment 13 Fedora Update System 2009-12-02 04:25:20 UTC
glite-security-util-java-2.0.3-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-12-02 04:27:18 UTC
glite-security-util-java-2.0.3-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Steve Traylen 2010-03-30 08:13:10 UTC
Package Change Request
======================
Package Name: glite-security-util-java
New Branches: EL-5
Owners: stevetraylen

Comment 16 Kevin Fenzi 2010-03-30 21:31:20 UTC
cvs done.

Comment 17 Fedora Update System 2010-04-28 18:25:09 UTC
glite-security-util-java-2.5.5-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/glite-security-util-java-2.5.5-1.el5

Comment 18 Fedora Update System 2010-05-19 02:38:55 UTC
glite-security-util-java-2.7.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.